library(tidyverse)

args     <- commandArgs(trailingOnly = TRUE)

data_dir <- args[[1]]
m        <- as.numeric(args[[2]])

df_gose <- readRDS(sprintf("%s/df_gose.rds", data_dir))

for (i in 1:m) {

  df_baseline <- readRDS(sprintf("%s/mi_baseline/df_baseline_mi_%i.rds", data_dir, i))

  df <- df_gose %>%
    left_join(df_baseline, by = "gupi")

  saveRDS(df, sprintf("%s/imputation/df_mi_%i.rds", data_dir, i))

}
